<?php // utf-8 marker: 

/*
============================================================ 
CMSimple Plugin feed2js
============================================================ 
Version:    feed2js 1.2
Released:   05/2016
Copyright:  Gert Ebersbach - www.ge-webdesign.de
============================================================ 
License:
- GPL3 or higher
- free for noncommercial websites
- fee required for commercial websites
============================================================ 
*/

initvar('feed2js');
if ($feed2js) 
{
	if(!defined('CMSIMPLE_VERSION'))
	{
		$o.= '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
		return;
	}
	
	if(defined('XH_ADM'))
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0;">
<h4><a href="?feed2js">Plugin Info &raquo;</a></h4>
<p style="line-height: 1.6em;"><b>feed2js</b>&nbsp;by&nbsp;<a href="http://www.ge-webdesign.de/cmsimpleplugins/"><u>ge-webdesign.de&nbsp;&raquo;</u></a> &nbsp; 
for&nbsp;<b>CMSimple&nbsp;4.0</b>&nbsp;or&nbsp;higher&nbsp;from&nbsp;<a href="http://www.cmsimple.org/"><u>cmsimple.org&nbsp;&raquo;</u></a></p>
</div>';
	}
	else
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0; padding: 0 0 6px 0;">
<b><a href="?feed2js">Plugin Info &raquo;</a></b>
</div>
';
	}
	
	// Make CMSimple variables accessible
	global $sn,$sv,$sl,$pth;
	
	global $plugin;
	
	// Detect the foldername of the plugin.
	$plugin=basename(dirname(__FILE__),"/");

	$admin = isset($_GET['admin']) ? $_GET['admin'] : '';
	$admin .= isset($_POST['admin']) ? $_POST['admin'] : '';
	
	// Parameter "ON"  shows the Plugin Main Tab.
	// Blank "" or "OFF" does not show the Plugin Main Tab.
	$o.=print_plugin_admin('off');
	
	// First page when loading the plugin.
	if ($admin == '') 
	{
		$o.='
		<h4>Plugin feed2js</h4>';
		
		$o .= '
		<div style="font-family: arial, sans-serif; font-size: 15px; letter-spacing: 0; border: 4px double; padding: 6px 16px; margin: 2px 0 8px 0;">
		<p style="text-align: center;">This Plugin is made for <a href="http://www.cmsimple.org/"><span style="font-weight: 700; padding: 0 6px; ">CMSimple 4.0 &raquo;</span></a> or higher.</p>
		<p style="text-align: center;">Optimized for <span style="font-weight: 700; padding: 0 6px; ">CMSimple 4.4</span> or higher.</p>
		<p style="text-align: center;">Recommended is the current version of CMSimple from <a href="http://www.cmsimple.org/">cmsimple.org&nbsp;&raquo;</a></p>
		</div>
		';

		$o.='
		<ul>
		<li>Version: feed2js 1.2</li>
		<li>Released: 05/2016</li>
		<li>Copyright: Gert Ebersbach</li>
		<li>Internet: <a href="http://www.ge-webdesign.de/cmsimpleplugins/?Eigene_Plugins">www.ge-webdesign.de</a></li>
		</ul>
		<hr />
		<p><b>Credits:</b></p>
		<ul>
		<li>Script "feed2js": <a href="http://feed2js.org/">feed2js.org &raquo;</a></li>
		</ul>
		<hr />
		<p><b>No admin options</b></p>
		';
	}

	if ($admin == 'plugin_main') 
	{
		$o.='
		<h4>Plugin feed2js</h4>';
		
		$o .= '
		<div style="font-family: arial, sans-serif; font-size: 15px; letter-spacing: 0; border: 4px double; padding: 6px 16px; margin: 2px 0 8px 0;">
		<p style="text-align: center;">This Plugin is made for <a href="http://www.cmsimple.org/"><span style="font-weight: 700; padding: 0 6px; ">CMSimple 4.0 &raquo;</span></a> or higher.</p>
		<p style="text-align: center;">Optimized for <span style="font-weight: 700; padding: 0 6px; ">CMSimple 4.4</span> or higher.</p>
		<p style="text-align: center;">Recommended is the current version of CMSimple from <a href="http://www.cmsimple.org/">cmsimple.org&nbsp;&raquo;</a></p>
		</div>
		';

		$o.='
		<ul>
		<li>Version: feed2js 1.2</li>
		<li>Released: 05/2016</li>
		<li>Copyright: Gert Ebersbach</li>
		<li>Internet: <a href="http://www.ge-webdesign.de/cmsimpleplugins/?Eigene_Plugins">www.ge-webdesign.de</a></li>
		</ul>
		<hr />
		<p><b>Credits:</b></p>
		<ul>
		<li>Script "feed2js": <a href="http://feed2js.org/">feed2js.org &raquo;</a></li>
		</ul>
		<hr />
		<p><b>No admin options</b></p>
		';
	}

	if ($admin <> 'plugin_main') 
	{
		$hint=array();
		$hint['mode_donotshowvarnames'] = false;
		$o.=plugin_admin_common($action, $admin, $plugin, $hint);
	}
}

?>
