<?php
class HtmlWriter {
	var $language;
	function HtmlWriter($language){
		$this -> language = $language;
	}
	function make_button($label,$name,$value,$type){
		$button = '';
		if(!$type){$type = "submit";}
		$button = "\n<button type=\"$type\" name=\"$name\" value=\"$value\">$label</button>";
		return $button;
	}
	
	function put_into_fieldset($content,$legend){
		$fieldset = "\n<fieldset>";
		if($legend){ $fieldset .= "<legend>$legend</legend>";}
		$fieldset .="$content\n</fieldset>";
		return $fieldset;
	}
	function put_into_form($content,$method,$action,$style,$name,$id){
		$form = "\n\n<form action=\"$action\" method=\"$method\"";
		if($style){ $form .= " style=\"$style\"";}
		if($name){ $form .= " name=\"$name\"";}
		if($id){ $form .= " id=\"$id\"";}
		$form .= ">\n";
	//	$form .= "<input type=\"hidden\" name=\"".session_name()."\" value=\"".session_id()."\" />";
		$form .= $content."\n</form>\n";
		return $form;
	}
	
	function make_input_element($type,$name,$value,$size,$checked,$script,$label){
		if ($name) {$name = "name=\"$name\"";}
		if ($value) {$value = "value=\"$value\"";}
		if ($size) {$size = "size=\"$size\"";}
		if ($checked) {$checked = "checked";} 
		if($label){
			$input = "\n<label>$label$input<input type=\"$type\" $name $value $size $checked $script /></label>\n";
		}else{
			$input = "\n<input type=\"$type\" $name $value $size $checked $script />\n";
		}
		return $input;
	}
	
	function make_text_input_with_label($label,$name,$value,$size) {
		if ($name) {$name = "name=\"$name\"";}
		if ($value) {$value = "value=\"$value\"";}
		if ($size) {$size = "size=\"$size\"";}
		$input = "\n<br /><label><span class='label'>$label</span><br />";
		$input .= "<input type= 'text' $name $value $size /></label>";
		return $input;
		
	}
	
	function add_label($input,$label) {
		return "\n<label>".$label."<br />\n".$input."</label>\n";
	}
	
	function make_select_options($array,$name,$selected,$startLabel,$startValue,$disabled){
		$select = '';
		if($startLabel) {
			$select .= "\n\t<option value =\"$startValue\">$startLabel</option>";
		}
		if(is_array($array[0])) {
				$keys = array_keys($array[0]);
				$value_key = $keys[0];
				$label_key = $keys[1];
			
			foreach($array as $row){
					$value = $row[$value_key];
					$label = $row[$label_key];
					
				if($value == $selected){
					$start ="\n\t<option selected ";
					} else {
						$start = "\n\t<option ";
				}
				$select .= $start."value=\"$value\">$label</option>";
			}
			$select = "\n<select $disabled name=\"$name\">$select\n</select>\n";
			return $select;
			}
		else {return "Array aus Arrays mit zwei keys erwartet!";
		}
	}
	
	function format_the_money($sum){
		if($this->language == 'en'){
			$dec_sep = '.';
			$thousands_sep = ',';
			}else { $dec_sep = ',';
				$thousands_sep = '.';
		}
		return number_format($sum, 2, $dec_sep, $thousands_sep);
	}
}
class HTML_Element {
	var $start, $properties, $end;
	function HTML_Object() {
		
	}
	function display_yourself() {
		$return = $this -> start;
		foreach($this -> properties as $key => $value) {
			$return .= $key ."=\"". $value ."\" ";}
		$return .= $this -> end;
		return $return;	
	}
}
class Input extends HTML_Element {

function Input($properties) {
	$this -> start = "\n\t<input ";
	$this -> end = " />";
	$this -> properties = $properties;
}
}
?>
